FROM registry.yaltik.net/odoo:yaltik10c7
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

# Install local LibreOffice for better conversion and supported types
# And for conversions
USER root
ENV LO_VERSION 5.3.7.2
RUN curl -LO "https://downloadarchive.documentfoundation.org/libreoffice/old/${LO_VERSION}/rpm/x86_64/LibreOffice_${LO_VERSION}_Linux_x86-64_rpm.tar.gz" && \
      tar zxf "LibreOffice_${LO_VERSION}_Linux_x86-64_rpm.tar.gz" && \
      yum -y install "./LibreOffice_${LO_VERSION}_Linux_x86-64_rpm/RPMS/"* && \
      rm -rf "./LibreOffice_${LO_VERSION}_Linux_x86-64_rpm"* && \
      yum install -y cairo cups-libs libSM && \
      yum clean all && \
      ln -s /usr/bin/libreoffice5.3 /usr/local/bin/libreoffice

# Addons dependencies
USER odoo
RUN pip install --no-cache-dir --user py3o.template==0.10.0 py3o.formats==0.3

# Scripts
COPY i18n-import.sh upd.sh /opt/odoo/

WORKDIR /opt/odoo
